Subject: [BEHAVE] ICMP sent by a NAT

From: "Dan Wing" <[email-masked]>
Date: Tue, 24 Apr 2007 08:53:05 -0700

I believe I have caught up on the ICMP argument, and have a question:

We need NATs to send ICMPs for large packets (for PMTUD, most importantly
for TCP's path mtu discovery) if they cannot forward the packet without
fragmenting the packet.  There seems to be consensus on that, and such a
requirement is in BEHAVE's TCP document which is in IESG processing and
completed a WGLC last call in BEHAVE (which was also announced in TCPM).

But we don't want NATs to send ICMPs if the NAT is unable/unwilling to
forward a packet for other reasons (e.g., running out of resources,
administrative policy)?

I am not able to wrap my head around the logic of doing the first (ICMP 'too
big') but the discomfort with doing the second.

-d

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave